<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="unionwiced__bt__gatt__event__data__t" kind="union" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_event_data_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="unionwiced__bt__gatt__event__data__t_1abcb38433306dce903e59cb5eba2c276b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__discovery__result__t">wiced_bt_gatt_discovery_result_t</ref></type>
        <definition>wiced_bt_gatt_discovery_result_t wiced_bt_gatt_event_data_t::discovery_result</definition>
        <argsstring />
        <name>discovery_result</name>
        <briefdescription>
<para>Data for GATT_DISCOVERY_RESULT_EVT. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="763" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="763" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__event__data__t_1a36d56421c42d9a441decca65f884ea3e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__discovery__complete__t">wiced_bt_gatt_discovery_complete_t</ref></type>
        <definition>wiced_bt_gatt_discovery_complete_t wiced_bt_gatt_event_data_t::discovery_complete</definition>
        <argsstring />
        <name>discovery_complete</name>
        <briefdescription>
<para>Data for GATT_DISCOVERY_CPLT_EVT. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="764" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="764" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__event__data__t_1ae728d46f0ce390d9d1e1a4843191681d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__operation__complete__t">wiced_bt_gatt_operation_complete_t</ref></type>
        <definition>wiced_bt_gatt_operation_complete_t wiced_bt_gatt_event_data_t::operation_complete</definition>
        <argsstring />
        <name>operation_complete</name>
        <briefdescription>
<para>Data for GATT_OPERATION_CPLT_EVT. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="765" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="765" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__event__data__t_1a98e34e4ddd19f13d2a28a61148c5cd01" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__connection__status__t">wiced_bt_gatt_connection_status_t</ref></type>
        <definition>wiced_bt_gatt_connection_status_t wiced_bt_gatt_event_data_t::connection_status</definition>
        <argsstring />
        <name>connection_status</name>
        <briefdescription>
<para>Data for GATT_CONNECTION_STATUS_EVT. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="766" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="766" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__event__data__t_1aff26a25679b61b5075ac71fcff81035b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__attribute__request__t">wiced_bt_gatt_attribute_request_t</ref></type>
        <definition>wiced_bt_gatt_attribute_request_t wiced_bt_gatt_event_data_t::attribute_request</definition>
        <argsstring />
        <name>attribute_request</name>
        <briefdescription>
<para>Data for GATT_ATTRIBUTE_REQUEST_EVT. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="767" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="767" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__event__data__t_1adccaa639df2fcc2f7853040d19d8448a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__congestion__event__t">wiced_bt_gatt_congestion_event_t</ref></type>
        <definition>wiced_bt_gatt_congestion_event_t wiced_bt_gatt_event_data_t::congestion</definition>
        <argsstring />
        <name>congestion</name>
        <briefdescription>
<para>Data for GATT_CONGESTION_EVT. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="768" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="768" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__event__data__t_1a85dcf31fd747023f0356c766351cb6ce" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__caching__status__event__t">wiced_bt_gatt_caching_status_event_t</ref></type>
        <definition>wiced_bt_gatt_caching_status_event_t wiced_bt_gatt_event_data_t::caching_status</definition>
        <argsstring />
        <name>caching_status</name>
        <briefdescription>
<para>Data for GATT_CACHING_STATUS_UPDATE_EVT. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="769" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="769" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Stuctures for GATT event notifications. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="182">
        <label>wiced_bt_gatt_discovery_data_t</label>
        <link refid="unionwiced__bt__gatt__discovery__data__t" />
        <childnode refid="183" relation="usage">
          <edgelabel>characteristic_declaration</edgelabel>
        </childnode>
        <childnode refid="185" relation="usage">
          <edgelabel>group_value</edgelabel>
        </childnode>
        <childnode refid="186" relation="usage">
          <edgelabel>included_service</edgelabel>
        </childnode>
        <childnode refid="187" relation="usage">
          <edgelabel>char_descr_info</edgelabel>
        </childnode>
      </node>
      <node id="186">
        <label>wiced_bt_gatt_included_service_t</label>
        <link refid="structwiced__bt__gatt__included__service__t" />
        <childnode refid="184" relation="usage">
          <edgelabel>service_type</edgelabel>
        </childnode>
      </node>
      <node id="169">
        <label>wiced_bt_gatt_event_data_t</label>
        <link refid="unionwiced__bt__gatt__event__data__t" />
        <childnode refid="170" relation="usage">
          <edgelabel>connection_status</edgelabel>
        </childnode>
        <childnode refid="171" relation="usage">
          <edgelabel>attribute_request</edgelabel>
        </childnode>
        <childnode refid="176" relation="usage">
          <edgelabel>discovery_complete</edgelabel>
        </childnode>
        <childnode refid="177" relation="usage">
          <edgelabel>caching_status</edgelabel>
        </childnode>
        <childnode refid="178" relation="usage">
          <edgelabel>operation_complete</edgelabel>
        </childnode>
        <childnode refid="181" relation="usage">
          <edgelabel>discovery_result</edgelabel>
        </childnode>
        <childnode refid="188" relation="usage">
          <edgelabel>congestion</edgelabel>
        </childnode>
      </node>
      <node id="172">
        <label>wiced_bt_gatt_request_data_t</label>
        <link refid="unionwiced__bt__gatt__request__data__t" />
        <childnode refid="173" relation="usage">
          <edgelabel>read_req</edgelabel>
        </childnode>
        <childnode refid="174" relation="usage">
          <edgelabel>validate_read_req</edgelabel>
        </childnode>
        <childnode refid="175" relation="usage">
          <edgelabel>write_req</edgelabel>
        </childnode>
      </node>
      <node id="170">
        <label>wiced_bt_gatt_connection_status_t</label>
        <link refid="structwiced__bt__gatt__connection__status__t" />
      </node>
      <node id="177">
        <label>wiced_bt_gatt_caching_status_event_t</label>
        <link refid="structwiced__bt__gatt__caching__status__event__t" />
      </node>
      <node id="185">
        <label>wiced_bt_gatt_group_value_t</label>
        <link refid="structwiced__bt__gatt__group__value__t" />
        <childnode refid="184" relation="usage">
          <edgelabel>service_type</edgelabel>
        </childnode>
      </node>
      <node id="181">
        <label>wiced_bt_gatt_discovery_result_t</label>
        <link refid="structwiced__bt__gatt__discovery__result__t" />
        <childnode refid="182" relation="usage">
          <edgelabel>discovery_data</edgelabel>
        </childnode>
      </node>
      <node id="171">
        <label>wiced_bt_gatt_attribute_request_t</label>
        <link refid="structwiced__bt__gatt__attribute__request__t" />
        <childnode refid="172" relation="usage">
          <edgelabel>data</edgelabel>
        </childnode>
      </node>
      <node id="184">
        <label>wiced_bt_uuid_t</label>
        <link refid="structwiced__bt__uuid__t" />
      </node>
      <node id="183">
        <label>wiced_bt_gatt_char_declaration_t</label>
        <link refid="structwiced__bt__gatt__char__declaration__t" />
        <childnode refid="184" relation="usage">
          <edgelabel>char_uuid</edgelabel>
        </childnode>
      </node>
      <node id="187">
        <label>wiced_bt_gatt_char_descr_info_t</label>
        <link refid="structwiced__bt__gatt__char__descr__info__t" />
        <childnode refid="184" relation="usage">
          <edgelabel>type</edgelabel>
        </childnode>
      </node>
      <node id="180">
        <label>wiced_bt_gatt_data_t</label>
        <link refid="structwiced__bt__gatt__data__t" />
      </node>
      <node id="188">
        <label>wiced_bt_gatt_congestion_event_t</label>
        <link refid="structwiced__bt__gatt__congestion__event__t" />
      </node>
      <node id="178">
        <label>wiced_bt_gatt_operation_complete_t</label>
        <link refid="structwiced__bt__gatt__operation__complete__t" />
        <childnode refid="179" relation="usage">
          <edgelabel>response_data</edgelabel>
        </childnode>
      </node>
      <node id="173">
        <label>wiced_bt_gatt_read_t</label>
        <link refid="structwiced__bt__gatt__read__t" />
      </node>
      <node id="176">
        <label>wiced_bt_gatt_discovery_complete_t</label>
        <link refid="structwiced__bt__gatt__discovery__complete__t" />
      </node>
      <node id="174">
        <label>wiced_bt_gatt_validate_read_t</label>
        <link refid="structwiced__bt__gatt__validate__read__t" />
      </node>
      <node id="179">
        <label>wiced_bt_gatt_operation_complete_rsp_t</label>
        <link refid="unionwiced__bt__gatt__operation__complete__rsp__t" />
        <childnode refid="180" relation="usage">
          <edgelabel>att_value</edgelabel>
        </childnode>
      </node>
      <node id="175">
        <label>wiced_bt_gatt_write_t</label>
        <link refid="structwiced__bt__gatt__write__t" />
      </node>
    </collaborationgraph>
    <location bodyend="770" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="761" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="762" />
    <listofallmembers>
      <member prot="public" refid="unionwiced__bt__gatt__event__data__t_1aff26a25679b61b5075ac71fcff81035b" virt="non-virtual"><scope>wiced_bt_gatt_event_data_t</scope><name>attribute_request</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__event__data__t_1a85dcf31fd747023f0356c766351cb6ce" virt="non-virtual"><scope>wiced_bt_gatt_event_data_t</scope><name>caching_status</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__event__data__t_1adccaa639df2fcc2f7853040d19d8448a" virt="non-virtual"><scope>wiced_bt_gatt_event_data_t</scope><name>congestion</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__event__data__t_1a98e34e4ddd19f13d2a28a61148c5cd01" virt="non-virtual"><scope>wiced_bt_gatt_event_data_t</scope><name>connection_status</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__event__data__t_1a36d56421c42d9a441decca65f884ea3e" virt="non-virtual"><scope>wiced_bt_gatt_event_data_t</scope><name>discovery_complete</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__event__data__t_1abcb38433306dce903e59cb5eba2c276b" virt="non-virtual"><scope>wiced_bt_gatt_event_data_t</scope><name>discovery_result</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__event__data__t_1ae728d46f0ce390d9d1e1a4843191681d" virt="non-virtual"><scope>wiced_bt_gatt_event_data_t</scope><name>operation_complete</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>